
/* This file is part of the Allegria project
   Copyright (C) 2004 Francois Schiettekatte <francois.schiettekatte@umontreal.ca>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#include <QtGui>
#include <QBoxLayout>
#include <QLabel>
#include "FSFileDialog.h"


FSFileDialog::FSFileDialog(QWidget * parent) : QFileDialog(parent) {

  // add to the QFileDialog an extention containing 
  // a layout with some labels and our edit fields
  QWidget * w = new QWidget(this);
  QBoxLayout * bl = new QBoxLayout(QBoxLayout::LeftToRight, w);

  lineEditSkipLines = new QLineEdit("0", w);
  lineEditXcolumn   = new QLineEdit("1", w);
  lineEditYcolumn   = new QLineEdit("2", w);

  bl->addWidget(new QLabel("Lines to skip:",w));
  bl->addWidget(lineEditSkipLines);
  bl->addWidget(new QLabel(" X column:",w));
  bl->addWidget(lineEditXcolumn);
  bl->addWidget(new QLabel(" Y column:",w));
  bl->addWidget(lineEditYcolumn);

  setExtension(w);
  setOrientation(Qt::Vertical); // extension below the dialog
  showExtension(true);

}

