/*  
    Copyright 2007, Francois Schiettekatte

    This file is part of Corteo.

    Corteo is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Corteo is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Corteo.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef CONSTANTS_H
#define CONSTANTS_H

#define SCREENCONST 0.46848 // 0.8853*0.5291772108 // screening length constant [A]
#define E2 14.3996445f // e^2 / 4 pi eps0 = e^2 c^2 in [eV][A]
#define PI 3.1415926535897932384626433832795
#define AMUbyE 1.036426883E-8 // amu/e = 1.660538782E-27/1.602176487E-19
#define ELEMENTARY_CHARGE 1.602176487E-19 

#define NUMBERELEMENTS 101
float MostAbundantIsotope[NUMBERELEMENTS];
float AtomicMass[NUMBERELEMENTS];
char  AtomicNames[NUMBERELEMENTS][3];

#endif // CONSTANTS_H
